﻿using System;
using System.Data;
using System.Drawing;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 그리드 컬럼 체커
        /// </summary>
        private GridColumnChecker gridColumnChecker = null;

        /// <summary>
        /// 리스트 테이블
        /// </summary>
        private DataTable listTable = null;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.gridView.Appearance.HeaderPanel.Font = new Font("나눔고딕코딩", 12f);
            this.gridView.Appearance.Row.Font         = new Font("나눔고딕코딩", 12f);
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 폼 로드시 처리하기 - Form_Load(pSender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="pSender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object pSender, EventArgs e)
        {
            this.listTable = GetSampleList();

            this.gridControl.DataSource = this.listTable;

            this.gridColumnChecker = new GridColumnChecker(this.gridView, this.gridView.Columns[0]);
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////// Event

        #region 샘플 리스트 구하기 - GetSampleList()

        /// <summary>
        /// 샘플 리스트 구하기
        /// </summary>
        /// <returns>샘플 리스트</returns>
        private DataTable GetSampleList()
        {
            DataTable table = new DataTable();

            table.Columns.Add(new DataColumn("Selection", typeof(bool  )));
            table.Columns.Add(new DataColumn("Name"     , typeof(string)));

            DataRow row = null;

            row = table.NewRow();

            row["Selection"] = false;
            row["Name"     ] = "가";

            table.Rows.Add(row);

            row = table.NewRow();

            row["Selection"] = false;
            row["Name"     ] = "나";

            table.Rows.Add(row);

            row = table.NewRow();

            row["Selection"] = false;
            row["Name"     ] = "다";

            table.Rows.Add(row);

            row = table.NewRow();

            row["Selection"] = false;
            row["Name"     ] = "라";

            table.Rows.Add(row);

            return table;
        }

        #endregion
    }
}